* {
    margin: 0;
    padding: 0;
    }


body {
    background-image: url('https://cssanimation.rocks/demo/starwars/images/bg.jpg');
    color: white;
}

#test {
    height: 150px;
}

.card {background-image:url('https://cssanimation.rocks/demo/starwars/images/bg.jpg')}


.hidden {
    visibility: hidden;
}

.visible {
    visibility: visible;
}


/* Animation properties */
.star {
    animation: star 10s ease-out infinite;
  }
  .wars {
    animation: wars 10s ease-out infinite;
  }
  .byline span {
    animation: spin-letters 10s linear infinite;
  }
  .byline {
    animation: move-byline 10s linear infinite;
  }
  
  /* Keyframes */
  @keyframes star {
    0% {
      opacity: 0;
      transform: scale(1.5) translateY(-0.75em);
    }
    20% {
      opacity: 1;
    }
    89% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: translateZ(-1000em);
    }
  }
  
  @keyframes wars {
    0% {
      opacity: 0;
      transform: scale(1.5) translateY(0.5em);
    }
    20% {
      opacity: 1;
    }
    90% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: translateZ(-1000em);
    }
  }
  
  @keyframes spin-letters {
    0%, 10% {
      opacity: 0;
      transform: rotateY(90deg);
    }
    30% {
      opacity: 1;
    }
    70%, 86% {
      transform: rotateY(0);
      opacity: 1;
    }
    95%, 100% {
      opacity: 0;
    }
  }
  
  @keyframes move-byline {
    0% {
      transform: translateZ(2em);
    }
    100% {
      transform: translateZ(0);
    }
  }
  
  /* Make the 3D work on the container */
  .starwars-demo {
    perspective: 800px;
    transform-style: preserve3d;
  }
  
  /* General styles and layout */
  body {
    background: #000 url(https://cssanimation.rocks/demo/starwars/images/bg.jpg);
  }
  
  .starwars-demo {
    height: 13em;
    left: 50%;
    position: relative;
    margin-top: 200px;
    transform: translate(-50%, -50%);
    width: 34em;
    margin-bottom: 0em;
  }
  
  .byline span {
    display: inline-block;
  }
  
  img {
    width: 50%;
  }
  
  .star, .wars, .byline {
    position: absolute;
  }
  
  .star {
    top: -0.75em;
  }
  
  .wars {
    bottom: 4.5em;
  }
  
  .byline {
    color: #fff;
    font-family: "ITC Serif Gothic", Lato;
    font-size: 2.25em;
    left: -6em;
    letter-spacing: 0.4em;
    right: -2em;
    text-align: center;
    text-transform: uppercase;
    top: 29%;
  }
  
  /*** Media queries for adjusting to different screen sizes ***/
  
  @media only screen and (max-width: 400px) {
    .starwars-demo {
      font-size: 10px;
    }
  }
  
  @media only screen and (max-width: 380px) {
    .starwars-demo {
      font-size: 7px;
    }
  }
  
  